## CORBA Interface IResultPackageReferenceEntry

Describes the available result package reference entry component actions.

### Definition

CORBA Module SAS

### IResultPackageReferenceEntry Description

This component facilitates acquiring information regarding a result package reference entry.

CORBA Definitions
attribute ResultPackage | The parent of this component.
attribute Index | Index of reference entry within containing result package.
attribute Description | Reference entry description.
attribute NameValues | Reference entry name/value pairs.
attribute ReferenceType | Type of reference; HTML, URL, etc.
attribute Reference | The actual reference for this entry.
method GetNameValuePairs | Reference entry parsed name/value pairs.

Java Classes
IResultPackageReferenceEntryHelper | Used to manipulate the IResultPackageReferenceEntry type
IResultPackageReferenceEntryHolder | Used to process the IResultPackageReferenceEntry type as an out parameter

Java Interfaces
IResultPackageReferenceEntry | Describes the available result package reference entry component actions.

Java Interface IResultPackageReferenceEntry

Describes the available result package reference entry component actions.

Package com.sas.iom.SAS

IResultPackageReferenceEntry Description
This component facilitates acquiring information regarding a result package reference entry.

`public interface IResultPackageReferenceEntry
extends org.omg.CORBA.Object`

Method Summary

void | GetNameValuePairs ( VariableArray2dOfStringHolder nvPairs ) throws ( GenericError ); Reference entry parsed name/value pairs.

Java Class IResultPackageReferenceEntryHelper

public class IResultPackageReferenceEntryHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IResultPackageReferenceEntry type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IResultPackageReferenceEntryHelper

Java Class IResultPackageReferenceEntryHolder

public class IResultPackageReferenceEntryHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IResultPackageReferenceEntry type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IResultPackageReferenceEntryHolder

CORBA Attribute ResultPackage (readonly)

The parent of this component.

Description
Use this attribute to navigate back to the ResultPackage component which is the parent of this component.

Usage

Java Method ResultPackage

    public IResultPackage ResultPackage ();

CORBA Attribute Index (readonly)

Index of reference entry within containing result package.

Description
Identifies which result package entry corresponds to this component.

Usage

Java Method Index

    public int Index ();

CORBA Attribute Description (readonly)

Reference entry description.

Description
Use this attribute to obtain the description associated with this reference entry. The description is assigned when the reference entry is created.

Usage

Java Method Description

    public java.lang.String Description ();

CORBA Attribute NameValues (readonly)

Reference entry name/value pairs.

Description
Use this attribute to obtain the name/value pairs associated with this reference entry. The name/value pairs are assigned when the reference entry is created.

Usage

Java Method NameValues

    public java.lang.String NameValues ();

CORBA Attribute ReferenceType (readonly)

Type of reference; HTML, URL, etc.

Description
Use this attribute to obtain the type of reference (HTML, URL, etc.). The reference type is assigned when the reference entry is created.

Usage

Java Method ReferenceType

    public java.lang.String ReferenceType ();

CORBA Attribute Reference (readonly)

The actual reference for this entry.

Description
Use this attribute to obtain the actual reference associated with this reference entry. The reference is assigned when the reference entry is created.

Usage

Java Method Reference

    public java.lang.String Reference ();

CORBA Method GetNameValuePairs

Reference entry parsed name/value pairs.

Description
Call this method to return a two dimensional string array containing the parsed name/value pairs.

Usage

Java Method GetNameValuePairs

`void` GetNameValuePairs (

        VariableArray2dOfStringHolder nvPairs
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
nvPairs | out | VariableArray2dOfStringHolder | A two dimensional string array containing the parsed name/value pairs. The two dimensional string array is populated in the following manner:
       For the NameValues: "name1 name2=a name3=(b,c)"
       GetNameValuePairs would return:
                     Column 0   Column 1
            Row 0    "name1"
            Row 1    "name2"    "a"
            Row 2    "name3"    "b"
            Row 3               "c"

Example